Login challenge
POST
/api/v1/auth/login/challenge
const url = 'https://example.com/api/v1/auth/login/challenge';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"mfa_pending_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/auth/login/challenge \ --header 'Content-Type: application/json' \ --data '{ "mfa_pending_token": "example" }'The methods of a pending challenge, for a sign-in page that only has its token (single sign-on hands it over in the address fragment).
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
MfaChallengeRequest
object
mfa_pending_token
required
Mfa Pending Token
string
Example generated
{ "mfa_pending_token": "example"}Responses
Section titled “Responses”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}